import router from './router'
import store from './store'
import {
  Message
} from 'element-ui'
// import NProgress from 'nprogress' // progress bar
// import 'nprogress/nprogress.css' // progress bar style
import {
  getToken
} from '@/utils/auth' // get token from cookie
// import getPageTitle from '@/utils/get-page-title'

// NProgress.configure({
//   showSpinner: false
// }) // NProgress Configuration

// const whiteList = ['/login'] // no redirect whitelist

router.beforeEach(async (to, from, next) => {
  // debugger
  console.log('to',to);
  console.log('from',from);
  const hasToken = getToken()
  console.log('hasToken',hasToken);
  if (!hasToken) {
    if (to.path === '/personal') {
      next({
        path: '/'
      })
    } else {
      next()
    }
  } else {
    next()
  }
})

// router.afterEach(() => {
//   // finish progress bar
//   NProgress.done()
// })
